# $Revision: 1.10 $, $Date: 2002/11/18 08:41:21 $
Summary:	Tool to check and undelete partition
Summary(pl):	Narzdzie sprawdzajce i odzyskujce partycje
Name:		testdisk
Version:	4.1
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tgz
Patch0:		%{name}-va_arg.patch
URL:		http://www.cgsecurity.org/testdisk.html
BuildRequires:	e2fsprogs-devel
BuildRequires:	ncurses-devel >= 5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tool to check and undelete partition Works with the following
partitions:
- FAT12 FAT16 FAT32
- Linux
- Linux SWAP (version 1 and 2)
- NTFS (Windows NT)
- BeFS (BeOS)
- UFS (BSD)
- Netware
- ReiserFS

%description -l pl
Narzdzie sprawdzajce i odzyskujace partycje. Pracuje z partycjami:
- FAT12 FAT16 FAT32
- Linux
- Linux SWAP (version 1 and 2)
- NTFS (Windows NT)
- BeFS (BeOS)
- UFS (BSD)
- Netware
- ReiserFS

%prep
%setup -q -n %{name}
%patch0 -p0

%build
cd src
%{__make} linux \
	CC=%{__cc} \
	CFLAGS="-I%{_includedir}/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

install src/testdisk $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc [L-T]* doc/*.html doc/*.gif
%attr(755,root,root) %{_sbindir}/testdisk

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: testdisk.spec,v $
Revision 1.10  2002/11/18 08:41:21  kloczek
- cosmetics.

Revision 1.9  2002/11/18 08:39:14  marcus
- rel.2. fixed va_arg on ppc (thanks mmazur)

Revision 1.8  2002/06/02 06:25:35  kloczek
- aded ncurses-devel to BuildRequires,
- use proper CC.

Revision 1.7  2002/05/30 20:50:01  areq
- 4.1, STBR
- add html doc
- new %doc

Revision 1.6  2002/04/04 15:21:20  pioklo
- updated to 4.0 ,STBR

Revision 1.5  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/28 09:25:04  adasi
 - cosmetics

Revision 1.2  2002/01/28 09:11:51  qboosh
- pl chars

Revision 1.1  2002/01/27 22:05:15  areq
- init PLD spec
